Subject: [PATCH v3] ARM: DTS: TWL4030: fix mux and wakeup for SYS_NIRQ line

From: [email-masked] (Benoit Cousson)
Date: Tue, 11 Jun 2013 13:43:19 +0200

On 06/11/2013 01:33 PM, Cousson, Benoit wrote:
> On 6/10/2013 6:40 PM, Kevin Hilman wrote:
>> Benoit Cousson <[email-masked]> writes:
>>
>>> Hi Kevin,
>>>
>>> On 06/07/2013 09:31 PM, Nishanth Menon wrote:
>>>> On 11:31-20130607, Kevin Hilman wrote:
>>>>> On most OMAP3 platforms, the twl4030 IRQ line is connected to the
>>>>> SYS_NIRQ line on OMAP.  Add another DTS include file
>>>>> (twl4030_omap3.dtsi) for boards that hook up the twl4030 this way
>>>>> to include.
>>>>>
>>>>> This allows RTC wake from off-mode to work again on OMAP3-based
>>>>> platforms with twl4030.  Tested on 3530/Beagle, 3730/Beagle-xM,
>>>>> 3530/Overo, 3730/Overo-STORM.
>>>>>
>>>>> Special thanks to Florian Vaussard for suggesting use of preprocessor
>>>>> feature.
>>>>>
>>>>> Cc: Florian Vaussard <[email-masked]>
>>>>> Cc: Benoit Cousson <[email-masked]>
>>>>> Cc: Nishanth Menon <[email-masked]>
>>>>> Signed-off-by: Kevin Hilman <[email-masked]>
>>>> Thanks,
>>>> Reviewed-by: Nishanth Menon <[email-masked]>
>>>
>>> Thanks, I've just applied it in for_3.11/dts.
>>
>> Thanks,
>>
>> Will you apply the first 2 from the series too?
>>
>>    ARM: DTS: OMAP3: beagle/overo: mux console UART, enable wakeup
>>    ARM: DTS: OMAP3: beagle: enable user button via gpio_keys, enable
>> wakeup
> 
> Thanks for the reminder, I kind of forgot these ones :-)

BTW, do you have any v2 for these ones? This version does not use the
macros.
Moreover I cannot apply them on top of Florian's series :-(

Regards,
Benoit